> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xpaycheckout.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Unpause Subscription



## OpenAPI

````yaml POST /subscription/merchant/unpause
openapi: 3.0.1
info:
  title: xPay API Store
  description: ''
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.xpaycheckout.com
security:
  - basicAuth: []
paths:
  /subscription/merchant/unpause:
    post:
      requestBody:
        description: Unpause Subscription
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/unpause-subscription'
        required: true
      responses:
        '200':
          description: Unpause Subscription response
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    unpause-subscription:
      required:
        - subscriptionId
        - newNextPaymentDate
      type: object
      properties:
        subscriptionId:
          type: string
          description: Unique identifier of the subscription
          example: sub_fooBOwYsaK50AEfK
        newNextPaymentDate:
          description: >-
            The date on which the subscription becomes active again and the next
            charge will be attempted, as a Unix timestamp in milliseconds.
          type: integer
          format: int64
          example: 1729608043615
    Error:
      required:
        - errorCode
        - errorDescription
      type: object
      properties:
        errorCode:
          type: string
          example: bad_request
        errorDescription:
          type: string
          example: Failed to read request
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic

````